B2C Commerce API Release Notes for 26.3

Keep track of the new B2C Commerce API features and functionality.

We suggest using the B2C Commerce API (SCAPI) instead of the Open Commerce API (OCAPI) for all new projects or any major refactoring work. For details, refer to Why Use SCAPI Instead of OCAPI.

For comprehensive developer release notes, see B2C Commerce API Release Notes in the B2C Commerce API Developer Guide. To see API release notes published before Spring ’26, visit B2C Commerce API Release Notes on Salesforce Help.

  • For the Shopper Orders and Shopper Customers APIs, added Salesforce Order Management (OMS) support:
    • Added expand support to allow Salesforce Order Management (OMS) data to be returned if available. If the instance isn't integrated with OMS, the expand=oms command is disregarded. OMS data is preferred, but B2C Commerce data is returned if an order hasn't been sent to OMS.
    • OMS data for Product Items, including the status and quantityAvailableToCancel properties, is displayed for the product items in the order.
    • OMS data for Order, including the status and shipments.
    • Shopper Orders additionally supports expand=oms,oms_shipments to include detailed shipment data:
      • Status
      • Provider
      • Tracking Number
      • Tracking URL
      • Expected Delivery Date
      • Actual Delivery Date
      • Shipment Items
        • Product Item ID (reference to the product item)
        • Quantity (quantity shipped for the referenced product item)
  • Shopper Payments API 1.4.0:
    • Added Adyen payment method configuration support. If an Adyen account is onboarded to Salesforce Payments, the API now returns configuration settings for Adyen based on payment methods enabled in the merchant's payment zone site.
    • Added a new, optional amount query parameter. Some payment gateways, such as Adyen, qualify or disqualify payment methods based on the transaction amount.
  • Shopper Orders API 1.12.0 documentation update.
  • Resolved an issue where custom logic utilizing the dw.order.calculateShipping and dw.order.calculateTax hooks was unintentionally bypassed or ignored during site requests.
  • Fixed an issue where the SCAPI CORS configuration on production instances was overwritten with the STG configuration with a replication of domain preference.
  • Fixed a geolocation issue in HybridAuth where /sessions requests routed through the CDN worker were forwarding the worker's IP instead of the shopper's original IP in the dw-is-client_addr header.
  • New APIs: Stores
    • GET /stores – Retrieve a list of all stores in an organization.
    • GET /stores/{id} – Retrieve information for a specific store by ID.
    • POST /store-search – Search for stores.
  • Requests executed in verbose mode, for example, requests including the sfdc_verbose header, create scapi-http log entries in Log Center for all responses, while only error logs are available for non-verbose requests.